SystemOrganization addCategory: #PWWTinyBlog!

Object subclass: #PWTBPost
	instanceVariableNames: 'title text date category visible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PWWTinyBlog'!

!PWTBPost commentStamp: 'LucFabresse 3/18/2016 10:01' prior: 0!
I represent blog posts.
Inspect the code below :

TBPost
	title: 'Welcome in TinyBlog'
	text: 'TinyBlog is a small blog engine made with Pharo.' 
	category: 'TinyBlog'

!

!PWTBPost class methodsFor: 'instance creation' stamp: 'StephaneDucasse 12/4/2015 14:44'!
title: aTitle text: aText 
	^ self new
		title: aTitle;
		text: aText;
		yourself! !

!PWTBPost class methodsFor: 'instance creation' stamp: 'StephaneDucasse 12/4/2015 14:45'!
title: aTitle text: aText category: aCategory
	^ (self title: aTitle text: aText)
			category: aCategory;
			yourself! !

!PWTBPost class methodsFor: 'constants' stamp: 'StephaneDucasse 12/4/2015 14:36'!
unclassifiedTag
	^ 'Unclassified'! !

!PWTBPost methodsFor: 'visibility' stamp: 'StephaneDucasse 12/4/2015 14:35'!
beVisible
   self visible: true! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:32'!
category
	^ category! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
category: anObject
	category := anObject
! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
date
	^ date! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
date: anObject
	date := anObject! !

!PWTBPost methodsFor: 'initialize' stamp: 'StephaneDucasse 12/4/2015 14:39'!
initialize
	self category: self class unclassifiedTag.
	self date: Date today.
	self notVisible! !

!PWTBPost methodsFor: 'testing' stamp: 'StephaneDucasse 12/4/2015 14:48'!
isUnclassified
   ^ self category = self class unclassifiedTag! !

!PWTBPost methodsFor: 'testing' stamp: 'StephaneDucasse 12/4/2015 14:35'!
isVisible
   ^ self visible! !

!PWTBPost methodsFor: 'visibility' stamp: 'StephaneDucasse 12/4/2015 14:35'!
notVisible
   self visible: false! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
text
	^ text! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
text: anObject
	text := anObject! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
title
	^ title! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
title: anObject
	title := anObject! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
visible
	^ visible! !

!PWTBPost methodsFor: 'accessing' stamp: 'StephaneDucasse 12/4/2015 14:33'!
visible: anObject
	visible := anObject! !
